%global pypi_name text-unidecode

Name:           python-%{pypi_name}
Version:        1.3
Release:    1%{?dist}
Summary:        A Python module for handling non-Roman text data

License:        GPL+ or Artistic
URL:            https://github.com/kmike/text-unidecode/
Source0:        https://github.com/kmike/text-unidecode/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch  

%description
text-unidecode is the most basic port of the Text::Unidecode Perl library.

%package -n python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
text-unidecode is the most basic port of the Text::Unidecode Perl library.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/text_unidecode/
%{python3_sitelib}/text_unidecode-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3-1
- initial build
